package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.SeedingSuccessRate;
import com.ruoyi.system.domain_shate.VegetationHealth;
import com.ruoyi.system.mapper_shate.SeedingSuccessMapper;
import com.ruoyi.system.mapper_shate.VegetationHealthMapper;
import com.ruoyi.system.service_shate.IVegetationHealthServices;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 10:48
 */
@Service
public class VegetationHealthServiceimpl implements IVegetationHealthServices
{
    @Resource
    private VegetationHealthMapper mapper;
    @Override
    public List<VegetationHealth> sqlSeeding(String zone,String name,String year) {
        List<VegetationHealth> value=mapper.sqlSeeding(zone,name,year);
        return value;
    }

    @Override
    public List<VegetationHealth> sqlYear() {
        return mapper.sqlYear();
    }

    @Override
    public Integer insertSeeding(VegetationHealth health) {
        return mapper.insertSeeding(health);
    }
}
